Trialmile docs
API referenceCampaigns

Create

POST
/campaigns/products/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

campaignId*string
Length1 <= length
name*string
Length1 <= length <= 120
sku?string
Lengthlength <= 60
description?string
Lengthlength <= 2000
imageUrl?string
Formaturi
unitLabel?string
Length1 <= length <= 40
stockTotal?integer
Range0 <= value <= 9007199254740991
active?boolean
sort?integer
Range-9007199254740991 <= value <= 9007199254740991

Response Body

application/json

curl -X POST "https://example.com/campaigns/products/create" \  -H "Content-Type: application/json" \  -d '{    "campaignId": "string",    "name": "string"  }'
null